From: Laurence Passmore SDL-1.2
authorRyan C. Gordon <icculus@icculus.org>
Tue, 27 Mar 2007 00:37:51 +0000
branchSDL-1.2
changeset 3925 78ff7d10dbb5
parent 3924 7156c3b5536b
child 3926 9785a5be718e
From: Laurence Passmore Date: Mon, 26 Mar 2007 23:22:45 +0100 To: "A list for developers using the SDL library. \(includes SDL-announce\)" <sdl@lists.libsdl.org> Subject: [SDL] SDL_config_macosx.h: MAC_OS_X_VERSION_MIN_REQUIRED Hi, I just compiled my SDL application on Mac OS X with -Wundef and it threw a number of errors. Of note was: SDL_config_macosx.h: 34 warning: "MAC_OS_X_VERSION_MIN_REQUIRED" is not defined Line 34 is: #if ( (MAC_OS_X_VERSION_MIN_REQUIRED >= 1030) || (!defined (__POWERPC__)) ) Now according to this mailing on the Apple developer lists: http://lists.apple.com/archives/Xcode-users/2005/May/msg00602.html that particular #define was removed from the gcc compiler defaults and AvailabilityMacros.h (/usr/include/AvailabilityMacros.h) should be pulled in directly instead. Would someone closer to the Mac OS X version of SDL be willing to make that change please? Thanks. Laurence Passmore Homeworld SDL @ www.homeworldsdl.org
include/SDL_config_macosx.h
--- a/include/SDL_config_macosx.h	Sun Mar 18 22:37:10 2007 +0000
+++ b/include/SDL_config_macosx.h	Tue Mar 27 00:37:51 2007 +0000
@@ -25,6 +25,9 @@
 
 #include "SDL_platform.h"
 
+/* This gets us MAC_OS_X_VERSION_MIN_REQUIRED... */
+#include <AvailabilityMacros.h>
+
 /* This is a set of defines to configure the SDL features */
 
 #define SDL_HAS_64BIT_TYPE	1